<?php use_helper('Javascript', 'Date', 'Number') ?>


<?
//ACTUALIZACION=> Cuando el proyecto es de Inversion

$cpo = $comision->getProyectos()->getCodigo();
$con = Propel::getConnection();

$sql = "SELECT pro.FUNC_INV FROM PROYECTOS pro WHERE pro.codigo='" . $cpo . "'";

$sentencia = $con->prepareStatement($sql);
$resultset2 = $sentencia->executeQuery();

while ($resultset2->next()) {
    $inv = $resultset2->getString('FUNC_INV');
}

if ($inv == 1) {
    ?>

    <?
//TRAER EL RUBRO

    $sql = " select TIPO_GASTO||'-'||UNO||' '||DOS||' '||TRES||' '||CUATRO||' '||CINCO AS RUBRO,DESCRIPCION
       FROM(
            select clase.tipo_gasto,gen.codigo AS UNO,cod.cod_rub2 AS DOS,cod.cod_rub3 AS TRES,cod.cod_rub4 AS CUATRO,cod.cod_rub5 AS CINCO,cod.descripcion
            from PROYECTOS pro
            left join PR_ASIG_PRESUP asip ON pro.id = asip.id_cpo
            and asip.vigencia = pro.ano_fiscal
            left join PR_APROPIACION aprop ON asip.id_apropiacion = aprop.id
            and asip.id_vigencia = aprop.id_vigencia
            and asip.vigencia = aprop.vigencia
            left join PR_SITUA_REC situa ON situa.id=aprop.id_situac_rec
            left join PR_CODIF_PRESUP cod ON aprop.id_rubro = cod.id_rubro
            left join PR_CLASES_PRESUP clase ON cod.id_clase_presup = clase.id
            left join PR_PROG_GEN gen ON cod.cod_rub1 = gen.id
            left join PR_TIPO_REC rec ON aprop.id_tipo_rec = rec.id
            where pro.codigo='" . $cpo . "' and asip.id_vigencia=1 and asip.vigencia='" . $vigencia . "'

            group by clase.tipo_gasto, gen.codigo,cod.cod_rub2,cod.cod_rub3,cod.cod_rub4,cod.cod_rub5,cod.descripcion
            order by clase.tipo_gasto, gen.codigo||' '||cod.cod_rub2||' '||cod.cod_rub3||' '||cod.cod_rub4||' '||cod.cod_rub5,cod.descripcion
            )
GROUP BY TIPO_GASTO,UNO,DOS,TRES,CUATRO,CINCO,DESCRIPCION
ORDER BY TIPO_GASTO,UNO,DOS,TRES,CUATRO,CINCO,DESCRIPCION";

    $sentencia = $con->prepareStatement($sql);
    $resultset2 = $sentencia->executeQuery();
    while ($resultset2->next()) {
        $rubro = $resultset2->getString('RUBRO');
        $descripcion = $resultset2->getString('DESCRIPCION');
    }
    ?>
    <h1>Solicitud de Certificado de Disponibilidad</h1>
    <h2>INVERSION</h2>
    <div id="toReport">
        <br/><br/>
        <table width="100%" cellpadding="0">
            <tr align="left">
                <td width="20%"><b>AREA:</b></td>
                <td width="40%"><?php echo $comision->getAreas()->getDescripcion() ?></td>
                <td width="20%"><b>Fecha (MMM-AAAA):</b></td>
    <?php
    $fecha = explode('-', $comision->getFecha());

    if ($fecha[1] == '01')
        $mes_a = "Ene";
    if ($fecha[1] == '02')
        $mes_a = "Feb";
    if ($fecha[1] == '03')
        $mes_a = "Mar";
    if ($fecha[1] == '04')
        $mes_a = "Abr";
    if ($fecha[1] == '05')
        $mes_a = "May";
    if ($fecha[1] == '06')
        $mes_a = "Jun";
    if ($fecha[1] == '07')
        $mes_a = "Jul";
    if ($fecha[1] == '08')
        $mes_a = "Ago";
    if ($fecha[1] == '09')
        $mes_a = "Sep";
    if ($fecha[1] == '10')
        $mes_a = "Oct";
    if ($fecha[1] == '11')
        $mes_a = "Nov";
    if ($fecha[1] == '12')
        $mes_a = "Dic";
    ?>
                <td width="20%"><?php echo $mes_a . '-' . $fecha[0] ?></td>
            </tr>
            <tr>
                <td colspan="4">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="4">
                    Señores Grupo de Presupuesto. Atentamente le solicito expedir la disponibilidad presupuestal para amparar la siguiente ordenación del gasto.
                </td>
            </tr>
        </table>
        <br/>

        <table width="100%" border="0">
              <tr>
                <td colspan="2"><b>DESCRIPCIÓN: </b>Solicitud de comisión <?php echo $comision->getTiposComision()->getDescomi()?> <?php echo $comision->getInterrupcion() ? 'CON INTERRUPCION' : ''?> <?php echo $comision->getExterior()==1 ? ' AL EXTERIOR' : ''?> Plan No. <?php echo $comision->getId()?></td>
              </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>

        </table>
        <br/>
        <br/>
        <table width="100%">
            <tr align="right">
                <td width="25%" align="left" style="background-color:#D3D3D3"><b>RUBRO PRESUPUESTAL</b></td>
                <td width="75%" align="left" style="background-color:#D3D3D3"><b>NOMBRE DEL PROYECTO</b></td>
            </tr>
            <tr>
                <td width="25%" align="left"><? echo $rubro ?></td>

                <td width="75%" align="left"><? echo $descripcion ?></td>
            </tr>


        </table>
        <br/>
        <table width="100%" cellpadding="2" border="0">
            <tr align="right">
                <td width="40%" align="left"><b>Objeto del gasto</b></td>
                <!--<td width="20%"><b>Valor</b></td>
                <td width="20%"><b>Subtotal</b></td>
                <td width="20%"><b>Total CDP</b></td>-->
            </tr>
    <?php $subtotal = 0 ?>
    <?php $i = 0 ?>
    <?php foreach ($objetos_gasto as $objeto): ?>
                <?php
                $suma = ObjetosGastoPeer::getSumaObjeto($comision->getId(), $objeto->getCodigo(), $comision->getVigencia());
                $subtotal += $suma;
                ?>
        <?php if ($suma != 0): ?>
                    <tr align="right">
                        <td width="40%" align="left"><?php echo $objeto->getDescripcion() ?></td>
                      <!--  <td width="20%"><?php echo format_number($suma) ?></td>
                                <td width="20%"></td>
                                <td width="20%"><?php echo format_number($suma) ?></td>-->
                    </tr>      
            <?php $i++ ?>
        <?php endif ?>    
    <?php endforeach ?>
        </table>
        <br/>
        <br/>
        <table width="100%">
            <tr align="right">
                <td width="40%" align="left" style="background-color:#D3D3D3"><b>CODIGO O NOMBRE DE ACTIVIDAD</b></td>
                <td width="20%" style="background-color:#D3D3D3"><b>VALOR</b></td>
                <td width="20%"><b></b></td>  
                <td width="20%" style="background-color:#D3D3D3"><b>TOTAL CDP</b></td>
            </tr>
            <tr align="right">
                <td width="40%" align="left"><?php echo $comision->getProyectos()->getCodigo() . " " . $comision->getProyectos()->getDescripcion() ?></td>
                <td width="20%"><?php echo format_number(($subtotal)) ?></td>
                <td width="20%"></td>
                <td width="20%"><?php echo format_number(($subtotal)) ?></td>   
            </tr>
        </table>
        <br/>
        <br/>
        <hr/>
        <table width="100%">
            <tr align="right">
                <td width="40%"><b>Total C.D.P: </b></td>
                <td width="20%"><strong><?php echo format_number(($subtotal)) ?></strong></td>
                <td width="20%"></td>
                <td width="20%"><strong><?php echo format_number(($subtotal)) ?></strong></td>
            </tr>
        </table>
        <br/>
        <br/>
        <br/>
        <table width="100%">
            <tr align="right">
                <td width="100%" colspan="6" align="left" style="background-color:#D3D3D3"><b>AUTORIZACION FICHA DE PROYECTO DE INVERSION</b></td>
            </tr>
            <tr height="5%">
                <td></td>
            </tr>
            <tr>
                <td width="18%">Programa:</td>
                <td width="17%">_______________</td>
                <td width="13%">Sub-programa:</td>
                <td width="21%">_______________</td>
                <td width="15%">Codigo BPIN:</td>
                <td width="16%">_______________</td>  
            </tr>
            <tr height="5%">
                <td></td>
            </tr>
            <tr>
                <td width="35%" colspan="2">Fecha Registrado Actualizado: </td>
                <td width="34%" colspan="2">______________________________</td>
                <td width="15%"></td>
                <td width="16%"></td> 
            </tr>
        </table>
        <br/>
        <br/>
        <br/>
        <table width="100%">
            <tr>
                <td width="35%" colspan="2">Vo. Bo. Oficina Asesora Planeacion: </td>
                <td width="34%" colspan="2">______________________________</td>
                <td width="15%">Fecha </td>
                <td width="16%">_______________</td>

            </tr>

        </table>
        <br/>
        <br/>
        <br/>
        <br/>
        <table width="100%">
            <tr align="right">
                <td width="25%" align="left"><b>APROBADO GERENTE PROYECTO</b></td>
                <td width="25%" align="left">______________________</td>
                <td width="25%" align="left"><b>FIRMA DEL ORDENADOR DEL GASTO</b></td>
                <td width="25%" align="left">______________________</td>
            </tr>


        </table>
    </div><!-- End Report -->

<? }else {
    ?>

    <h1>Solicitud de Certificado de Disponibilidad</h1>
    <div id="toReport">
        <br/><br/>
        <table width="100%" cellpadding="0">
            <tr align="left">
                <td width="20%"><b>AREA:</b></td>
                <td width="40%"><?php echo $comision->getAreas()->getDescripcion() ?></td>
                <?
                //COLOCAMOS FECHA EN LA QUE SE ESTABLECE UN CMABIO EN EL FORMATO y tomamos la fecha actual para comparar
                //$fecha1 = strtotime(date("d-m-Y H:i:00",time()));
                $fecha_formato = strtotime("25-09-2019 00:00:00");
                $fecha_comision = strtotime($comision->getFecha());
                if($fecha_comision > $fecha_formato) {
                ?>

                <td width="20%"><b>Fecha (DD/MM/AAAA):</b></td>
    <?php
    $fecha = explode('-', $comision->getFecha());
    ?>
                <td width="20%"><?php echo $fecha[2] . '/' .$fecha[1] . '/' . $fecha[0] ?></td>
                <?
                }else{
                ?>
                <td width="20%"><b>Fecha (MM/AAAA):</b></td>
                <?php
                $fecha = explode('-', $comision->getFecha());
                ?>
                <td width="20%"><?php echo $fecha[1] . '/' . $fecha[0] ?></td>
                <?
                }
                ?>
            </tr>
            <tr>
                <td colspan="4">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="4">
                    Señores Grupo de Presupuesto. Atentamente le solicito expedir la disponibilidad presupuestal para amparar la siguiente ordenación del gasto.
                </td>
            </tr>
        </table>
        <br/>

        <table width="100%" border="0">
              <tr>
                <td colspan="2"><b>DESCRIPCIÓN: </b>Solicitud de comisión <?php echo $comision->getTiposComision()->getDescomi()?> <?php echo $comision->getInterrupcion() ? 'CON INTERRUPCION' : ''?> <?php echo $comision->getExterior()==1 ? ' AL EXTERIOR' : ''?> Plan No. <?php echo $comision->getId()?></td>
              </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td width="100"><b>CÓDIGO D.A: </b></td>
                <td><b>DEPENDENCIA DE AFECTACIÓN: </b></td>
            </tr>
            <tr>
                <td width="100"><?php echo $comision->getProyectos()->getCodigo() ?></td>
                <td><?php echo $comision->getProyectos()->getDescripcion() ?></td>
            </tr>
        </table>
        <br/>
        <br/>

        <table width="90%" cellpadding="2" border="0">
            <tr align="right">
                <td width="22%" align="left"><b>RUBRO</b></td>
                <td width="30%" align="left"><b>DESCRIPCIÓN</b></td>
                <td width="16%"><b>Valor</b></td>
                <td width="16%"><b>Subtotal</b></td>
                <td width="16%"><b>Total CDP</b></td>
            </tr>
    <?php $subtotal = 0 ?>
    <?php $i = 0 ?>
    <?php foreach ($objetos as $objeto): ?>
        <?php
        $suma = ObjetosGastoPeer::getSumaObjeto($comision->getId(), $objeto->getCodigo(), $comision->getVigencia());
        $subtotal += $suma;
        $abreviatura = $objeto->getAbreviatura();
        $codigo_rubro = $objeto->getCodigo();
        $texto_rubro = $objeto->getDescripcion();

        //echo $comision->getId(). " - ".$codigo_rubro. " - ".$texto_rubro;
        // Incidente #5742 - 20170228
        $sql = "
select 
proy.*, 
cla.tipo_gasto || ' ' || rub.rubro as rubro, 
UPPER(rub.descripcion) as des_rubro 

from proyectos proy 

inner join pr_rubro_presup_v rub
on rub.id_rubro = proy.rubro
left join pr_codif_presup cod
on proy.rubro = cod.id_rubro
left join pr_clases_presup cla
on cod.id_clase_presup = cla.id
where proy.id = " . $comision->getProyectos()->getId();
        $sentencia = $con->prepareStatement($sql);
        $resultset2 = $sentencia->executeQuery();
        while ($resultset2->next()) {
            $codigo_rubro = $resultset2->getString('RUBRO');
            $texto_rubro = $resultset2->getString('DES_RUBRO');
        }

        //Incidente #7657, se toma el rubro segun parametrizacion del objeto de gasto y el proyecto - 20171214
        $sql = "
select distinct 
obj.*, 
case when proy.NACION_PROPIOS = 0 then obj.cod_rubro else obj.cod_rubro_propio end as rubro, 
case when proy.NACION_PROPIOS = 0 then UPPER(obj.nombre_rubro) else UPPER(obj.nombre_rubro_propio) end as des_rubro 

from objetos_gasto obj

inner join proyectos proy
on proy.id = " . $comision->getProyectos()->getId() . "

where 
obj.id = " . $objeto->getId() . "
and (obj.cod_rubro is not null or  obj.cod_rubro_propio is not null) " ;
        $sentencia = $con->prepareStatement($sql);
        $resultset2 = $sentencia->executeQuery();
        while ($resultset2->next()) {
            $codigo_rubro = $resultset2->getString('RUBRO');
            $texto_rubro = $resultset2->getString('DES_RUBRO');
        }

        if($comision->getVigencia() == 2018){

            if ($comision->getId()==73 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }

            if ($comision->getId()==148 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }

            if ($comision->getId()==235 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }

            if ($comision->getId()==367 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }

        }

        if($comision->getVigencia() == 2017){
            
            //20170207 Datos Quemados para la comision 81 mientras se establecen las condiciones para todos los rubros - 20170228
            if ($comision->getId()==81) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
            }
            if ($comision->getId()==224) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
            }
            if ($comision->getId()==146) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==324) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                //$texto_rubro = 'FUNCIONAMIENTO';
            }
            if ($comision->getId()==387) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                //$texto_rubro = 'FUNCIONAMIENTO';
            }
            if ($comision->getId()==336) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                //$texto_rubro = 'FUNCIONAMIENTO';
            }
            if ($comision->getId()==330) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                //$texto_rubro = 'FUNCIONAMIENTO';
            }
            if ($comision->getId()==328) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }

            if ($comision->getId()==819) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }

            if ($comision->getId()==1020) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }

            if ($comision->getId()==1042) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }

            if ($comision->getId()==1066) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }

            if ($comision->getId()==1093) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1095) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1181) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1356) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1356 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 5 1 2 1 0 9';
                $texto_rubro = 'MANTENIMIENTO';
            }
            if ($comision->getId()==669) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==504) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==353) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==701) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==801) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==902) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==972) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==980) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==974) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1262) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1272) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1275) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1276) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==683) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==927) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==369) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==184 and $objeto->getCodigo()=='11') {
                $codigo_rubro = 'A 2 0 4 10 1';
                $texto_rubro = 'ARRENDAMIENTOS BIENES MUEBLES';
            }
            if ($comision->getId()==196) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==636) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==664) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==898) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==840) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==868) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }

            if ($comision->getId()==1048) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }

            if ($comision->getId()==1049) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==567) {
                $codigo_rubro = 'A 5 1 2 1 0';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==596) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==205) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==738) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==488) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==486) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==501 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==501 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 5 1 2 1 0 21';
                $texto_rubro = 'MATERIALES Y SUMINISTROS';
            }
            if ($comision->getId()==916 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==916 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 5 1 2 1 0 21';
                $texto_rubro = 'MATERIALES Y SUMINISTROS';
            }
            if ($comision->getId()==200) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==702) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==718) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==708) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==710 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==710 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 5 1 2 1 0 21';
                $texto_rubro = 'MATERIALES Y SUMINISTROS';
            }
            if ($comision->getId()==710 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 5 1 2 1 0 9';
                $texto_rubro = 'MANTENIMIENTO';
            }
            if ($comision->getId()==147 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==890 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==956 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==774 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==774 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 2 0 4 11 2';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE AL INTERIOR';
            }
            if ($comision->getId()==1180 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==1180 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 2 0 4 11 2';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE AL INTERIOR';
            }
            if ($comision->getId()==838 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==838 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 2 0 4 11 2';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE AL INTERIOR';
            }
            if ($comision->getId()==822 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==822 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 2 0 4 11 2';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE AL INTERIOR';
            }
            if ($comision->getId()==697 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==709 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==628 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==730 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==147 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 2 0 4 11 2';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE AL INTERIOR';
            }
            if ($comision->getId()==147 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 2 0 4 5 6';
                $texto_rubro = 'MANTENIMIENTO EQUIPO DE NAVEGACION Y TRANSPORTE';
            }
            if ($comision->getId()==714 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 2 0 4 11 2';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE AL INTERIOR';
            }
            if ($comision->getId()==730 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 2 0 4 11 2';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE AL INTERIOR';
            }
            if ($comision->getId()==714 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 2 0 4 5 6';
                $texto_rubro = 'MANTENIMIENTO EQUIPO DE NAVEGACION Y TRANSPORTE';
            }
            if ($comision->getId()==714 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==436 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 2 0 4 5 6';
                $texto_rubro = 'MANTENIMIENTO EQUIPO DE NAVEGACION Y TRANSPORTE';
            }
            if ($comision->getId()==148 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==148 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 2 0 4 11 2';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE AL INTERIOR';
            }
            if ($comision->getId()==148 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 2 0 4 5 6';
                $texto_rubro = 'MANTENIMIENTO EQUIPO DE NAVEGACION Y TRANSPORTE';
            }
            if ($comision->getId()==305 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 2 0 4 5 6';
                $texto_rubro = 'MANTENIMIENTO EQUIPO DE NAVEGACION Y TRANSPORTE';
            }
            if ($comision->getId()==149) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==644) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==643) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==277) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==175 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 2 0 4 5 6';
                $texto_rubro = 'MANTENIMIENTO EQUIPO DE NAVEGACION Y TRANSPORTE';
            }
            if ($comision->getId()==204 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==204 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 2 0 4 11 2';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE AL INTERIOR';
            }
            if ($comision->getId()==204 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 2 0 4 5 6';
                $texto_rubro = 'MANTENIMIENTO EQUIPO DE NAVEGACION Y TRANSPORTE';
            }
            if ($comision->getId()==221) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==414) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==405) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==250 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 2 0 4 5 6';
                $texto_rubro = 'MANTENIMIENTO EQUIPO DE NAVEGACION Y TRANSPORTE';
            }
            if ($comision->getId()==250 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==417 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 2 0 4 5 6';
                $texto_rubro = 'MANTENIMIENTO EQUIPO DE NAVEGACION Y TRANSPORTE';
            }
            if ($comision->getId()==417 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==254 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 2 0 4 5 6';
                $texto_rubro = 'MANTENIMIENTO EQUIPO DE NAVEGACION Y TRANSPORTE';
            }
            if ($comision->getId()==273 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 2 0 4 5 6';
                $texto_rubro = 'MANTENIMIENTO EQUIPO DE NAVEGACION Y TRANSPORTE';
            }
            if ($comision->getId()==254 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==301 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 2 0 4 5 6';
                $texto_rubro = 'MANTENIMIENTO EQUIPO DE NAVEGACION Y TRANSPORTE';
            }
            if ($comision->getId()==301 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==344 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 2 0 4 5 6';
                $texto_rubro = 'MANTENIMIENTO EQUIPO DE NAVEGACION Y TRANSPORTE';
            }
            if ($comision->getId()==344 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==388 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 2 0 4 5 6';
                $texto_rubro = 'MANTENIMIENTO EQUIPO DE NAVEGACION Y TRANSPORTE';
            }
            if ($comision->getId()==388 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==390 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 2 0 4 5 6';
                $texto_rubro = 'MANTENIMIENTO EQUIPO DE NAVEGACION Y TRANSPORTE';
            }
            if ($comision->getId()==390 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==454 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 2 0 4 5 6';
                $texto_rubro = 'MANTENIMIENTO EQUIPO DE NAVEGACION Y TRANSPORTE';
            }
            if ($comision->getId()==962) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==963 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==963 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 5 1 2 1 0 21';
                $texto_rubro = 'MATERIALES Y SUMINISTROS';
            }
            if ($comision->getId()==1024) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1068 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 2 0 4 11 2';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE AL INTERIOR';
            }
            if ($comision->getId()==1068 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLE Y LUBRICANTES';
            }
            if ($comision->getId()==1109 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLES Y LUBRICANTES';
            }
            if ($comision->getId()==1102 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1102 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 5 1 2 1 0 21';
                $texto_rubro = 'MATERIALES Y SUMINISTROS';
            }
            if ($comision->getId()==1102 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 5 1 2 1 0 9';
                $texto_rubro = 'MANTENIMIENTO';
            }
            if ($comision->getId()==1141 ) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1149 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 2 0 4 4 1';
                $texto_rubro = 'COMBUSTIBLES Y LUBRICANTES';
            }
            if ($comision->getId()==1194 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1194 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 5 1 2 1 0 21';
                $texto_rubro = 'MATERIALES Y SUMINISTROS';
            }
            if ($comision->getId()==1194 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 5 1 2 1 0 9';
                $texto_rubro = 'MANTENIMIENTO';
            }
            if ($comision->getId()==1202 ) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1208 ) {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1219 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1219 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 5 1 2 1 0 9';
                $texto_rubro = 'MANTENIMIENTO';
            }
            if ($comision->getId()==1255 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1255 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 5 1 2 1 0 21';
                $texto_rubro = 'MATERIALES Y SUMINISTROS';
            }
            if ($comision->getId()==1256 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }/*
            if ($comision->getId()==1256 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 5 1 2 1 0 21';
                $texto_rubro = 'MATERIALES Y SUMINISTROS';
            }*/
            if ($comision->getId()==1282 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1282 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 5 1 2 1 0 21';
                $texto_rubro = 'MATERIALES Y SUMINISTROS';
            }
            if ($comision->getId()==1310 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1310 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 5 1 2 1 0 21';
                $texto_rubro = 'MATERIALES Y SUMINISTROS';
            }
            if ($comision->getId()==1310 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 5 1 2 1 0 9';
                $texto_rubro = 'MANTENIMIENTO';
            }
            if ($comision->getId()==1311 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1311 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 5 1 2 1 0 21';
                $texto_rubro = 'MATERIALES Y SUMINISTROS';
            }
            if ($comision->getId()==1311 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 5 1 2 1 0 9';
                $texto_rubro = 'MANTENIMIENTO';
            }
            if ($comision->getId()==1312 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1312 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 5 1 2 1 0 21';
                $texto_rubro = 'MATERIALES Y SUMINISTROS';
            }
            if ($comision->getId()==1312 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 5 1 2 1 0 9';
                $texto_rubro = 'MANTENIMIENTO';
            }
            if ($comision->getId()==1327 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1327 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 5 1 2 1 0 21';
                $texto_rubro = 'MATERIALES Y SUMINISTROS';
            }
            if ($comision->getId()==1327 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 5 1 2 1 0 9';
                $texto_rubro = 'MANTENIMIENTO';
            }
            if ($comision->getId()==1335 and $objeto->getCodigo()=='07') {
                $codigo_rubro = 'A 5 1 2 1 0 24';
                $texto_rubro = 'VIATICOS Y GASTOS DE VIAJE';
            }
            if ($comision->getId()==1335 and $objeto->getCodigo()=='06') {
                $codigo_rubro = 'A 5 1 2 1 0 21';
                $texto_rubro = 'MATERIALES Y SUMINISTROS';
            }
            if ($comision->getId()==1335 and $objeto->getCodigo()=='09') {
                $codigo_rubro = 'A 5 1 2 1 0 9';
                $texto_rubro = 'MANTENIMIENTO';
            }

        }

      //Para verificar si es contratista o planta, para el objeto que corresponde segun abreviatura, se debe revisar consulta ObjetosGastoPeer, porque esta trae valor segun codigo objeto, y debe ser por id o tipo ter, se mira si es de contrato y tome segun orden de abreviatura - 201900402
        $sql = "
SELECT
obj.*,
gast.cod_rubro as RUBRO,
gast.nombre_rubro as DES_RUBRO

FROM comisionados_objs obj

join comisionados_contrato cont
on cont.id_comision = obj.id_comision
and cont.vigencia = obj.vigencia
and cont.nitocc = obj.nitocc

left join objetos_gasto gast
on gast.codigo = obj.codobj
and gast.ano_fiscal = obj.vigencia 
and gast.estado = 1

where
obj.codobj = '07' 
and obj.id_comision = " . $comision->getId() . " 
and obj.vigencia = " . $comision->getVigencia() . "

order by
gast.abreviatura desc";
        $sentencia = $con->prepareStatement($sql);
        $resultset2 = $sentencia->executeQuery();
        while ($resultset2->next()) {
            $codigo_rubro = $resultset2->getString('RUBRO');
            $texto_rubro = $resultset2->getString('DES_RUBRO');
        }


        /**
        * Se coloco campo de rubro en el obj del comisionado, si tiene registro lo toma de hay y omite datos anteriores - 20180918
        */
        //Incidente #7657, se toma el rubro segun parametrizacion del objeto de gasto y el proyecto - 20171214
        $sql = "
SELECT
obj.*,
rub.RUBRO as RUBRO,
rub.descripcion as DES_RUBRO
FROM comisionados_objs obj

join pr_rubro_presup_v rub
on rub.id_rubro = obj.id_rubro

join pr_clases_presup cla
on cla.id = obj.id_clase_presup

where
obj.codobj = '" . $objeto->getCodigo() . "'
and obj.id_comision = " . $comision->getId() . "
and obj.vigencia = " . $comision->getVigencia() ;
        $sentencia = $con->prepareStatement($sql);
        $resultset2 = $sentencia->executeQuery();
        while ($resultset2->next()) {
            $codigo_rubro = $resultset2->getString('RUBRO');
            $texto_rubro = $resultset2->getString('DES_RUBRO');
        }


        ?>
                <?php if ($suma != 0): ?>
                    <tr align="right">

                        <td width="22%" align="left"><?php echo $codigo_rubro ?></td>
                        <td width="30%" align="left"><?php echo $texto_rubro ?></td>
                        <td width="16%"><?php echo format_number($suma) ?></td>
                        <td width="16%"></td>
                        <td width="16%"><?php echo format_number($suma) ?></td>
                    </tr>      
            <?php $i++ ?>
        <?php endif ?>    
    <?php endforeach ?>
        </table>
        <br/>
        <hr/>
        <table width="80%">
            <tr align="right">
                <td width="40%" align="left"><b>Total C.D.P: </b></td>
                <td width="20%"><strong><?php echo format_number(($subtotal)) ?></strong></td>
                <td width="20%"></td>
                <td width="20%"><strong><?php echo format_number(($subtotal)) ?></strong></td>
            </tr>
        </table>
        <br/>
        <br/>
        <br/>
        <b>Vo.Bo. Grupo  de Planeación _______________________________________      <!--20190923 ticket13929 Fecha: ___________________-->
        <? if($fecha_comision < $fecha_formato){
                echo "    Fecha: ___________________";
            }?>
            <br/><br/>
            <?//20190923 ticket 13929 Traemos el nombre del Director de planeacion par ala comision
            $id_comis = $comision->getId() ;
            $vig = $comision->getVigencia();
            if($fecha_comision > $fecha_formato) {
                $sql = <<<EOD
SELECT
tab0.*,p.jefe_planea_encargado
FROM interceros tab0
left join COMISIONES_DET p on p.jefe_planeacion = tab0.id_mae_ter
where
p.id_comision = $id_comis and p.vigencia = $vig
EOD;
            $sentencia = $con->prepareStatement($sql);
            $resultset2 = $sentencia->executeQuery();
            $resultset2->next();
            $nombre = $resultset2->getString('RAZON_SOC');
            $encargado = $resultset2->getString('JEFE_PLANEA_ENCARGADO')==1?"(E)":"";
            echo "<b>Nombres y Apellidos </b> <u>".$nombre." ".$encargado."</u>";
        }
        ?>
            <br/><br/>
            <b>FIRMA DIRECTOR TÉCNICO / SECRETARIO GENERAL</b> ___________________________________
            <br/><br/>
            <?//20190923 ticket 13929 Traemos el nombre del jefe del proyecto al que pertenece la comision
            if($fecha_comision > $fecha_formato) {
            $idmaeter = $comision->getProyectos()->getId() ;
            $sql = <<<EOD
SELECT
tab0.*
FROM interceros tab0
left join proyectos p on p.jefe_proyecto = tab0.id_mae_ter
where
p.id = $idmaeter
EOD;
        $sentencia = $con->prepareStatement($sql);
        $resultset2 = $sentencia->executeQuery();
        $resultset2->next();
        $nombre = $resultset2->getString('RAZON_SOC');
        echo "<b>Nombre </b> <u>".$nombre."</u>";
        }else{
            echo "<b>Nombre </b>___________________________________";
        }
        ?>

    </div><!-- End Report -->
<? } ?>
<br/>
<?php echo javascript_include_tag('report') ?>
<?php
echo form_tag('comisionar/cdpdf');
echo input_hidden_tag('htmlContent', '-');
echo input_hidden_tag('id_comision', $comision->getId());
echo input_hidden_tag('inv', $inv);
echo input_hidden_tag('vigencia', $comision->getVigencia());
echo input_hidden_tag('filename', 'certificado_disponibilidad_presupuestal_comision_' . $comision->getId());
echo '<table><tr><td>' . submit_image_tag('topdf', array('title' => 'Generar PDF', 'onClick' => 'selectElements()')) . '</td>';
echo '<td>' . link_to(image_tag('back', 'title=Volver'), 'comisionar/filter_preview?id=' . $comision->getId() . '&vigencia=' . $comision->getVigencia()) . '</td></tr></table>'
?>

<?

function meses($mes) {

    if ($mes == '01')
        $mes_a = "Ene";
    if ($mes == '01')
        $mes_a = "Feb";
    if ($mes == '01')
        $mes_a = "Mar";
    if ($mes == '01')
        $mes_a = "Abr";
    if ($mes == '01')
        $mes_a = "May";
    if ($mes == '01')
        $mes_a = "Jun";
    if ($mes == '01')
        $mes_a = "Jul";
    if ($mes == '01')
        $mes_a = "Ago";
    if ($mes == '01')
        $mes_a = "Sep";
    if ($mes == '01')
        $mes_a = "Oct";
    if ($mes == '01')
        $mes_a = "Nov";
    if ($mes == '01')
        $mes_a = "Dic";

    return $mes_a;
}
?>
